Pistis
API referenceFlows

List flows

GET
/flows

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Response Body

File flows, and flows built in the web app or from a chat (with built, and who saved it)

application/json
  1. response
items*array<>
Example Request
curl -X GET 'http://127.0.0.1:7777/flows'
Example Response
{  "items": [    {      "id": "string",      "on": {        "manual": true      },      "built": {        "id": "string",        "on": {          "manual": true        },        "steps": [          "string"        ],        "repos": [          "string"        ],        "concurrency": 1      },      "saved": {        "by": {          "principal": "string",          "name": "string"        },        "at": 0      }    }  ]}